Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
peripheral::DoorHandleControllerPackage Interface Reference
Inheritance diagram for peripheral::DoorHandleControllerPackage:

## Classes
struct | DoorForcedOpenEvent
| Event: A door was opened without unlocking the door handle. More...
struct | MechanicallyUnlockedEvent
| Event: A handle was opened without being electronically unlocked. More...

## Public Member Functions
vector< string > | getSupportedHandleTypes ()
vector< string > | getSupportedExternalDeviceTypes ()
string | getHandleType (in int channel)
string | getExternalDeviceType (in int channel)
int | setHandleType (in int channel, in string handleType)
int | setExternalDeviceType (in int channel, in string type)
Public Member Functions inherited from peripheral::Package
PackageInfo | getPackageInfo ()

## Public Attributes
constant int | SUCCESS = 0
constant int | ERR_NOT_SUPPORTED = 1
constant int | ERR_OPERATION_FAILED = 2

## Detailed Description

Definition at line 54 of file PeripheralDevicePackage.idl.

## Member Data Documentation

## ◆ ERR_NOT_SUPPORTED

constant int peripheral::DoorHandleControllerPackage::ERR_NOT_SUPPORTED = 1

Definition at line 57 of file PeripheralDevicePackage.idl.

## ◆ ERR_OPERATION_FAILED

constant int peripheral::DoorHandleControllerPackage::ERR_OPERATION_FAILED = 2

Definition at line 58 of file PeripheralDevicePackage.idl.

## ◆ SUCCESS

constant int peripheral::DoorHandleControllerPackage::SUCCESS = 0

Definition at line 56 of file PeripheralDevicePackage.idl.

The documentation for this interface was generated from the following file:

- PeripheralDevicePackage.idl